<div class="form-group">
    <label>{{localize "PF2E.Rarity"}}</label>
    <select name="data.traits.rarity.value" data-dtype="String">
        {{#select data.traits.rarity.value}}
        {{#each rarityChoices as |label key|}}
        <option value="{{key}}">{{localize label}}</option>
        {{/each}}
        {{/select}}
    </select>
</div>

<div class="form-group">
    <label>{{localize "PF2E.HitPointsHeader"}}</label>
    <input type="text" name="data.hp" value="{{data.hp}}" data-dtype="Number"/>
</div>

<div class="form-group">
    <label>{{localize "PF2E.SizeLabel"}}</label>
    <select name="data.size" data-dtype="String">
        {{#select data.size}}
        {{#each actorSizes as |name type|}}
        <option value="{{type}}">{{name}}</option>
        {{/each}}
        {{/select}}
    </select>
</div>

<div class="form-group">
    <label>{{localize "PF2E.SpeedFeet"}}</label>
    <input type="text" name="data.speed" value="{{data.speed}}" data-dtype="Number"/>
</div>

{{#each data.boosts as |boost idx|}}
<div class="form-group form-group-trait">
    <label class="pf-title" for="data.boosts.{{idx}}">
        {{localize "PF2E.AbilityBoost"}}
        <a class="trait-selector" data-options="abilities" data-no-custom="true"><i class="fas fa-edit"></i></a>
    </label>

    <ul class="abc-traits-list">
        {{#each (lookup ../selectedBoosts idx) as |v k|}}
        <span class="tag {{k}}">{{v}}</span>
        {{/each}}
    </ul>
</div>
{{/each}}

{{#each data.flaws as |flaw idx|}}
<div class="form-group form-group-trait">
    <label class="pf-title" for="data.flaws.{{idx}}">
        {{localize "PF2E.AbilityFlaw"}}
        <a class="trait-selector" data-options="abilities" data-no-custom="true"><i class="fas fa-edit"></i></a>
    </label>

    {{lookup selectedFlaws @idx}}
    <ul class="abc-traits-list">
        {{#each (lookup ../selectedFlaws idx) as |v k|}}
        <span class="tag {{k}}">{{v}}</span>
        {{/each}}
    </ul>
</div>
{{/each}}
   
</table>

<div class="form-group form-group-trait">
    <label class="pf-title" for="data.languages">
        {{localize "PF2E.Languages"}}
        <a class="trait-selector" data-options="languages"><i class="fas fa-edit"></i></a>
    </label>

    <ul class="abc-traits-list">
        {{#each data.languages.value as |v k|}}
        <span class="tag {{k}}">
            {{v}}
        </span>
        {{/each}}
    </ul>
</div>

<div class="form-group additional-language">
    <label class="pf-title" for="data.additionalLanguages">
        {{localize "PF2E.LanguagesAdditional"}}
        <a class="trait-selector" data-options="languages"><i class="fas fa-edit"></i></a>
    </label>

    <input type="text" name="data.additionalLanguages.count" value="{{data.additionalLanguages.count}}" data-dtype="Number"/>
    <span>{{localize "PF2E.AdditionalLanguagePlusInt"}}</span>
</div>
<div class="form-group form-group-trait">
    <label class="pf-title" for="data.additionalLanguages">&nbsp;</label>
    <ul class="abc-traits-list">
        {{#each data.additionalLanguages.value as |v k|}}
        <span class="tag {{k}}">
            {{v}}
        </span>
        {{/each}}
    </ul>
</div>

<div class="form-group form-group-trait">
    <label for="data.traits">
        {{localize "PF2E.TraitsLabel"}}
        <a class="trait-selector" data-options="ancestryItemTraits"><i class="fas fa-edit"></i></a>
    </label>
    <ul class="abc-traits-list">
        {{#each data.traits.selected as |v k|}}
            <span class="tag {{k}}">{{v}}</span>
        {{/each}}
    </ul>
</div>

{{~#*inline "abcItems"~}}
<ul class='abc-items'>
{{~#each items as |item i|}}
<li class="abc-item" data-pack-id="{{item.pack}}" data-index="{{i}}" data-item-id="{{item.id}}">
  <img class="-item-image" src="{{item.img}}">
  <div class="abc-item-name">{{item.name}}{{#unless item.pack}}<i class="fa fa-globe" title="{{localize "PF2E.AncestryFeatures"}}"></i>{{/unless}}</div>
  <input value="{{item.name}}" name="{{@partial-block}}items.{{i}}.name" type="hidden" data-dtype='String'>
  <input value="{{item.pack}}" name="{{@partial-block}}items.{{i}}.pack" type="hidden" data-dtype='String'>
  <input value="{{item.id}}" name="{{@partial-block}}items.{{i}}.id" type="hidden" data-dtype='String'>
  <a class="abc-item-remove" data-action='remove'><i class="fa fa-times"></i></a>
  {{#if item.items~}}
  {{#> abcItems item}}{{@partial-block}}items.{{i}}.{{/abcItems}}
  {{~/if}}
</li>
{{/each~}}
</ul>
{{~/inline~}}

<div class="form-group-stacked abc-list">
    <label for="data.traits">
        {{localize "PF2E.AncestryFeatures"}}
    </label>
    {{#> abcItems data}}data.{{/abcItems}}
</div>